VLC and Debian Multimedia repo [SOLVED]

Everything about X, Gnome, KDE, ... and everything running on it

VLC and Debian Multimedia repo [SOLVED]

Postby strungoutfan78 » 2012-09-15 17:58

I've found myself in a bit of a predicament here. I'm running Squeeze and I've been using and updating multimedia libraries from the multimedia repo, which I now know is a bad idea, and I have a really long list of dependencies that stand to become broken should I try to revert to standard Debian packages in order to get VLC to work properly according to the instructions here: http://forum.videolan.org/viewtopic.php?f=13&t=70719
(As a side note I'm pretty sure this is why I can't get audacious to work anymore also)

Here is my output: :shock:
Code: Select all
The following packages will be REMOVED: 
  libavutil-dev libavutil49 libavutil50
0 packages upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 819 kB will be freed.
The following packages have unmet dependencies:
  libswscale0: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libffmpegthumbnailer4: Depends: libavutil49 (>= 4:0.5.1-1) but it is not going to be installed. or
                                  libavutil-extra-49 (>= 4:0.5.1-1) which is a virtual package.
  libqmmp-misc: Depends: libavutil49 (>= 4:0.5.1-1) but it is not going to be installed. or
                         libavutil-extra-49 (>= 4:0.5.1-1) which is a virtual package.
  libquicktime1: Depends: libavutil50 (>= 5:0.6.1+svn20101128) but it is not going to be installed.
  mediatomb-common: Depends: libavutil49 (>= 4:0.5.1-1) but it is not going to be installed. or
                             libavutil-extra-49 (>= 4:0.5.1-1) which is a virtual package.
  xvidcap: Depends: libavutil50 (>= 5:0.6.1+svn20101128) but it is not going to be installed.
  libavcodec-dev: Depends: libavutil-dev (>= 5:0.7.13-dmo2) but it is not going to be installed.
  libavfilter1: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libavdevice52: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  audacious-plugins: Depends: libavutil49 (>= 4:0.5.1-1) but it is not going to be installed. or
                              libavutil-extra-49 (>= 4:0.5.1-1) which is a virtual package.
  libavcodec52: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  gstreamer0.10-ffmpeg: Depends: libavutil49 (>= 4:0.5.1-1) but it is not going to be installed. or
                                 libavutil-extra-49 (>= 4:0.5.1-1) which is a virtual package.
  ffmpeg: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libpostproc51: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libavformat52: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  qutecom: Depends: libavutil49 (>= 4:0.5.1-1) but it is not going to be installed. or
                    libavutil-extra-49 (>= 4:0.5.1-1) which is a virtual package.
  kino: Depends: libavutil49 (>= 4:0.5+svn20090706-3) but it is not going to be installed. or
                 libavutil-extra-49 (>= 4:0.5+svn20090706-3) which is a virtual package.
  electricsheep: Depends: libavutil49 (>= 4:0.5+svn20090706-3) but it is not going to be installed. or
                          libavutil-extra-49 (>= 4:0.5+svn20090706-3) which is a virtual package.
  libxine1-ffmpeg: Depends: libavutil49 (>= 4:0.5.1-1) but it is not going to be installed. or
                            libavutil-extra-49 (>= 4:0.5.1-1) which is a virtual package.
The following actions will resolve these dependencies:

      Remove the following packages:                             
1)      audacious                                                 
2)      audacious-plugins                                         
3)      avifile-divx-plugin                                       
4)      cinelerra-cv                                             
5)      cmus-plugin-ffmpeg                                       
6)      dvdrip                                                   
7)      electricsheep                                             
8)      ffmpeg                                                   
9)      gnome                                                     
10)     gstreamer0.10-ffmpeg                                     
11)     guvcview                                                 
12)     kino                                                     
13)     libasound2-plugins                                       
14)     libavcodec-dev                                           
15)     libavcodec52                                             
16)     libavdevice52                                             
17)     libavfilter1                                             
18)     libavformat-dev                                           
19)     libavformat52                                             
20)     libavifile-0.7c2                                         
21)     libffmpegthumbnailer4                                     
22)     libmjpegtools-1.9                                         
23)     libpostproc-dev                                           
24)     libpostproc51                                             
25)     libqmmp-misc                                             
26)     libquicktime1                                             
27)     libquicktimehv-1.6.0-1                                   
28)     libswscale-dev                                           
29)     libswscale0                                               
30)     libxine1-ffmpeg                                           
31)     libxine1-plugins                                         
32)     mediatomb                                                 
33)     mediatomb-common                                         
34)     mediatomb-daemon                                         
35)     miro                                                     
36)     mjpegtools                                               
37)     qmmp                                                     
38)     qutecom                                                   
39)     subtitleripper                                           
40)     transcode                                                 
41)     winff                                                     
42)     winff-doc                                                 
43)     xine-ui                                                   
44)     xmms2-plugin-all                                         
45)     xmms2-plugin-avcodec                                     
46)     xmms2-plugin-wma                                         
47)     xvidcap                                                   

      Leave the following dependencies unresolved:               
48)     cmus recommends cmus-plugin-ffmpeg                       
49)     moovida-plugins-bad recommends gstreamer0.10-ffmpeg       
50)     qutecom-data recommends qutecom (>= 2.2~rc3.hg396~dfsg1-6)
51)     totem recommends gstreamer0.10-ffmpeg                     
52)     libxine1 recommends libxine1-ffmpeg                       
53)     subsonic recommends ffmpeg                               
54)     handbrake-gtk recommends gstreamer0.10-ffmpeg             
55)     avidemux-cli recommends mjpegtools                       
56)     audacity recommends libavcodec52 (>= 5:0.6~svn20100726)   
57)     audacity recommends libavformat52 (>= 5:0.6~svn20100726) 
58)     avidemux recommends mjpegtools                           
59)     transcode recommends mjpegtools



I've been down this road many times before and I hate it. VLC is not that important to me. This problem is only slightly annoying. Anyone know how easy (or difficult) it will be to resolve all those broken dependencies and get all those packages reinstalled? I need all those packages working for more than I need VLC. Anyone who's maybe gone through this before have any tips for me? Thanks.
Last edited by strungoutfan78 on 2012-09-20 13:58, edited 1 time in total.
strungoutfan78
 
Posts: 50
Joined: 2011-07-01 03:22
Location: San Diego, CA

Re: VLC and Debian Multimedia repo

Postby kedaha » 2012-09-15 19:22

No need to use the Debian Multimedia repository: I see from the vlc site that the latest down-loadable version is 2.0.3 and that apt-cache policy, with the official Debian squeeze-backports enabled shows that 2.0.3-1~bpo60+1 0 is available to update the old 1.1.3-1squeeze version.
But first, before you enable the Debian backports repository, if you wish to restore your system to its pristine stable condition, disable the Debian multimedia repository and then do:
Code: Select all
# aptitude install apt-show-versions

Then run the program:
Code: Select all
# apt-show-versions|egrep "unknown|""No available"""

In order to show what you have installed from the multimedia repository & post the results.
"Please accept my resignation. I don’t care to belong to any club that will have me as a member".—Groucho Marx
User avatar
kedaha
 
Posts: 3155
Joined: 2008-05-24 12:26

Re: VLC and Debian Multimedia repo

Postby strungoutfan78 » 2012-09-16 02:31

The results of
Code: Select all
apt-show-versions|egrep "unknown|""No available"""
:
(Forgive me for sounding ignorant but why the funny pipe/quotes syntax in that command?)
Code: Select all
[1935][neil:~]$ apt-show-versions|egrep "unknown|""No available"""
acidrip/unknown uptodate 0.14-0.3
acroread/unknown uptodate 9.5.1-0.1
acroread-data/unknown uptodate 9.5.1-0.1
acroread-debian-files/unknown uptodate 9.5.2
acroread-dictionary-en/unknown uptodate 9.5.1-0.1
acroread-escript/unknown uptodate 9.5.1-0.1
acroread-l10n-en/unknown uptodate 9.5.1-0.1
acroread-plugins/unknown uptodate 9.5.1-0.1
albumart 1.6.6-1 installed: No available version in archive
alsa-modules-2.6.32-5-amd64 1.0.23+dfsg-2+2.6.32-41squeeze2 installed: No available version in archive
audacity/unknown uptodate 1.3.12-7.4
audacity-data/unknown uptodate 1.3.12-7.4
avidemux/unknown uptodate 1:2.5.4-0.3squeeze1
avidemux-cli/unknown uptodate 1:2.5.4-0.3squeeze1
avidemux-common/unknown uptodate 1:2.5.4-0.3squeeze1
avidemux-plugins/unknown uptodate 1:2.5.4-0.3squeeze1
cinelerra-cv/unknown uptodate 2.1.5-0.0
cinelerra-cv-data/unknown uptodate 2.1.5-0.0
cinelerra-cv-doc/unknown uptodate 2.1.5-0.0
cnijfilter-common 3.30-1 installed: No available version in archive
cnijfilter-mx340series 3.30-1 installed: No available version in archive
codeblocks 10.05-1 installed: No available version in archive
codeblocks-common 10.05-1 installed: No available version in archive
codeblocks-dbg 10.05-1 installed: No available version in archive
codeblocks-dev 10.05-1 installed: No available version in archive
codeblocks-doc-en 10.05-1 installed: No available version in archive
codeblocks-headers 10.05-1 installed: No available version in archive
deb-multimedia-keyring/unknown uptodate 2012.05.10-dmo3
debian-multimedia-keyring 2010.12.26-4 installed: No available version in archive
devede/unknown uptodate 3.16.9-0.1
dvdrip/unknown uptodate 1:0.98.11-0.0
dvdrip-doc/unknown uptodate 2:0.98.11-0.0
ffmpeg/unknown uptodate 5:0.7.13-dmo2
gstreamer0.10-lame/unknown uptodate 0.10.17-0.0
gtk2-engines-equinox 1.20 installed: No available version in archive
gtk2-ex-formfactory-perl/unknown uptodate 0.66-0.0
handbrake-cli/unknown uptodate 0.9.5-0.1
handbrake-gtk/unknown uptodate 0.9.5-0.1
ia32-crossover-standard 10.0.3-1 installed: No available version in archive
ia32-libs-xulrunner/unknown uptodate 1.8.1.3-0.5
lame/unknown uptodate 3.98.4-0.0
libaften0/unknown uptodate 0.0.8svn20100103-0.0
libavcodec-dev/unknown uptodate 5:0.7.13-dmo2
libavcodec52/unknown uptodate 5:0.7.13-dmo2
libavdevice52/unknown uptodate 5:0.7.13-dmo2
libavfilter1/unknown uptodate 5:0.7.13-dmo2
libavformat-dev/unknown uptodate 5:0.7.13-dmo2
libavformat52/unknown uptodate 5:0.7.13-dmo2
libavutil-dev/unknown uptodate 5:0.7.13-dmo2
libavutil50/unknown uptodate 5:0.7.13-dmo2
libbs2b0/unknown uptodate 3.1.0-0.2
libcodeblocks0 10.05-1 installed: No available version in archive
libdrm-intel1/unknown uptodate 2.4.23-0.0
libdrm-radeon1/unknown uptodate 2.4.23-0.0
libdrm2/unknown uptodate 2.4.23-0.0
libdvdcss2/unknown uptodate 1.2.10-0.3
libevent-execflow-perl/unknown uptodate 0.64-0.0
libfaac-dev/unknown uptodate 1.28-0.3
libfaac0/unknown uptodate 1.28-0.3
libmjpegtools-1.9/unknown uptodate 1:1.9.0-dmo1
libmkv0/unknown uptodate 0.6.4.1-0.0
libmp3lame-dev/unknown uptodate 3.98.4-0.0
libmp3lame0/unknown uptodate 3.98.4-0.0
libmpeg3hv-1.5.0-1/unknown uptodate 2.1.5-0.0
libpostproc-dev/unknown uptodate 5:0.7.13-dmo2
libpostproc51/unknown uptodate 5:0.7.13-dmo2
libquicktime1/unknown uptodate 3:1.2.2-0.3squeeze1
libquicktimehv-1.6.0-1/unknown uptodate 2.1.5-0.0
libswscale-dev/unknown uptodate 5:0.7.13-dmo2
libswscale0/unknown uptodate 5:0.7.13-dmo2
libva-dev/unknown uptodate 1.0.7-0.0
libva-glx1/unknown uptodate 1.0.7-0.0
libva-tpi1/unknown uptodate 1.0.7-0.0
libva-x11-1/unknown uptodate 1.0.7-0.0
libva1/unknown uptodate 1.0.7-0.0
libvpx0/unknown uptodate 0.9.7.p1-2.squeeze2
libwxsmithlib0 10.05-1 installed: No available version in archive
libwxsmithlib0-dev 10.05-1 installed: No available version in archive
libx264-112/unknown uptodate 1:0.svn20110115-0.0
libx264-118/unknown uptodate 3:0.118.2085+git8a62835-0.1+1
libx264-dev/unknown uptodate 3:0.118.2085+git8a62835-0.1+1
libxvidcore4/unknown uptodate 2:1.2.2-0.1
libxvidcore4-dev/unknown uptodate 2:1.2.2-0.1
mencoder/unknown uptodate 2:1.0~rc3++svn20100804-0.2squeeze1
mjpegtools/unknown uptodate 1:1.9.0-dmo1
mozilla-acroread/unknown uptodate 9.5.1-0.1
mplayer/unknown uptodate 2:1.0~rc3++svn20100804-0.2squeeze1
pkg-mozilla-archive-keyring 1.0~bpo60+1 installed: No available version in archive
project-x/unknown uptodate 0.90.4-0.0
rhythmarty 0.1-1 installed: No available version in archive
scangearmp-common 1.50-1 installed: No available version in archive
scangearmp-mx340series 1.50-1 installed: No available version in archive
sdlmame/unknown uptodate 0.141-0.0
sdlmame-tools/unknown uptodate 0.141-0.0
subsonic 4.6 installed: No available version in archive
subtitleripper/unknown uptodate 0.3.4-0.7
transcode/unknown uptodate 3:1.1.5-0.7
transcode-doc/unknown uptodate 3:1.1.5-0.7
transcode-utils/unknown uptodate 3:1.1.5-0.7
w64codecs/unknown uptodate 1:20071007-0.5
wxsmith-dev 10.05-1 installed: No available version in archive
wxsmith-headers 10.05-1 installed: No available version in archive
xvidcap/unknown uptodate 1.1.7-0.6


This looks like an awful lot of packages to have to clean up... :? Just out of curiosity I also tried enabling backports and running a mock upgrade to what aptitude would do with it and it looks like a majority of the packages are to be upgraded. So maybe this won't be so bad after all? Thanks for your assistance.
strungoutfan78
 
Posts: 50
Joined: 2011-07-01 03:22
Location: San Diego, CA

Re: VLC and Debian Multimedia repo

Postby kedaha » 2012-09-16 07:48

strungoutfan78 wrote:I've found myself in a bit of a predicament here. I'm running Squeeze and I've been using and updating multimedia libraries from the multimedia repo, which I now know is a bad idea, and I have a really long list of dependencies that stand to become broken should I try to revert to standard Debian packages in order to get VLC to work properly according to the instructions here: http://forum.videolan.org/viewtopic.php?f=13&t=70719
(As a side note I'm pretty sure this is why I can't get audacious to work anymore also)

Well, probably not everyone will think it's a bad idea but, IMO, it's much better to use official Debian packages, and that includes debian-backports.
strungoutfan78 wrote:I've been down this road many times before and I hate it. VLC is not that important to me. This problem is only slightly annoying. Anyone know how easy (or difficult) it will be to resolve all those broken dependencies and get all those packages reinstalled? I need all those packages working for more than I need VLC. Anyone who's maybe gone through this before have any tips for me? Thanks.I've been down this road many times before and I hate it. VLC is not that important to me. This problem is only slightly annoying. Anyone know how easy (or difficult) it will be to resolve all those broken dependencies and get all those packages reinstalled? I need all those packages working for more than I need VLC. Anyone who's maybe gone through this before have any tips for me? Thanks.

Thank you for posting this issue rather than do what quite a few users would do: the Windows-like solution of reinstalling the whole shebang. You say you've "been down this road many times before" so I conclude you have tried to fix the problem but not found the best way yet.
strungoutfan78 wrote: Thanks for your assistance.

Well, I'm always pleased to help if I can; it's an interesting issue so let's see how we can solve it.
OK. To resume so far:
Step 1
Either remove or disable the deb-multimedia repository.
Step 2
Install and run apt-show-versions thus:
Code: Select all
$ apt-show-versions|egrep "unknown|""No available"""

strungoutfan78 wrote:(Forgive me for sounding ignorant but why the funny pipe/quotes syntax in that command?)

Take a look at the man pages to understand the command and use the q key to exit:
Code: Select all
$ man apt-show-versions
q
man egrep
q

The quotes are used because, now the offending software source has been disabled or removed, we wish to find program versions that are "unknown" or found as "No available" to apt.
The pipes, the vertical bar characters |, are used to separate commands like this:
Code: Select all
command_1 | command_2 [| command_3 . . . ]

Just to be thorough, please post your software sources here:
Code: Select all
$ cat /etc/apt/sources.list

Step 3
Now do:
Code: Select all
# aptitude install deborphan

Then run:
Code: Select all
 $ aptitude search ~o

And again, please post the results.
And you may like to take a look at what deborphan does:
Code: Select all
$ man deborphan
"Please accept my resignation. I don’t care to belong to any club that will have me as a member".—Groucho Marx
User avatar
kedaha
 
Posts: 3155
Joined: 2008-05-24 12:26

Re: VLC and Debian Multimedia repo

Postby strungoutfan78 » 2012-09-16 14:50

sources.list:
Code: Select all
# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official Snapshot amd64 LIVE/INSTALL Binary 20110324-08:54]/ squeeze main

# deb cdrom:[Debian GNU/Linux 6.0.0 _Squeeze_ - Official Snapshot amd64 LIVE/INSTALL Binary 20110324-08:54]/ squeeze main

deb http://ftp.us.debian.org/debian/ squeeze main contrib non-free
deb-src http://ftp.us.debian.org/debian/ squeeze main contrib non-free #Added by software-properties

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free #Added by software-properties

# squeeze-updates, previously known as 'volatile'
deb http://ftp.us.debian.org/debian/ squeeze-updates main
deb-src http://ftp.us.debian.org/debian/ squeeze-updates main

#Multimedia repository
#deb http://deb-multimedia.org/ squeeze main non-free

#Debian backports
deb http://backports.debian.org/debian-backports squeeze-backports main

#eduke32 repository (only for duke nuke'em)
deb http://apt.duke4.net squeeze main
deb-src http://apt.duke4.net squeeze main

#Iceweasel Aroura Repository (only enable one set at a time)
# deb http://mozilla.debian.net/ squeeze-backports iceweasel-aurora
#########################################################################
# deb http://mozilla.debian.net/ squeeze-backports iceweasel-release

##Virtualbox 4+ repo (Only for virtualbox - disable if not needed)
#deb http://download.virtualbox.org/virtualbox/debian squeeze contrib non-free

#cairo-compmgr repo
deb http://download.tuxfamily.org/ccm/debian/ sid main

I've got one sid repo enabled just for cairo comp-manager.

deborphan ~o gives me:
Code: Select all
i   acidrip                                                    - ripping and encoding DVD tool using mplayer and mencoder           
i   acroread                                                   - Adobe Acrobat Reader: Portable Document Format file viewer         
i A acroread-data                                              - data files for acroread                                             
i   acroread-debian-files                                      - Debian specific parts of Adobe Acrobat Reader                       
i A acroread-dictionary-en                                     - English dictionary for for acroread                                 
i A acroread-escript                                           - Adobe EScript Plug-In                                               
i A acroread-l10n-en                                           - English language package for acroread                               
i   acroread-plugins                                           - Plugins for Adobe Acrobat(R) Reader                                 
i   albumart                                                   - Downloads album cover images semi-automatically from the Internet   
i   alsa-modules-2.6.32-5-amd64                                - ALSA modules for kernel 2.6.32-5-amd64                             
i   avidemux                                                   - A free video editor (GTK version)                                   
i   avidemux-cli                                               - A free video editor (command line version)                         
i   avidemux-common                                            - A free video editor (Internationalization files)                   
i   avidemux-plugins                                           - A free video editor (plugins)                                       
i   cinelerra-cv                                               - An audio/video authoring tool (CV version)                         
i A cinelerra-cv-data                                          - An audio/video authoring tool                                       
i   cinelerra-cv-doc                                           - An audio/video authoring tool - Documentation                       
i   codeblocks                                                 - cross-platform integrated development environment (IDE)             
i   codeblocks-common                                          - common files for Code::Blocks IDE                                   
i   codeblocks-dbg                                             - Code::Blocks debugging libraries                                   
i   codeblocks-dev                                             - cross-platform integrated development environment (IDE) - developmen
i   codeblocks-doc-en                                          - English manual for the Code::Blocks IDE                             
i   codeblocks-headers                                         - cross-platform integrated development environment (IDE) - developmen
i A deb-multimedia-keyring                                     - GnuPG archive key of the deb-multimedia repository                 
i   debian-multimedia-keyring                                  - transitional package to install deb-multimedia-keyring             
i   devede                                                     - program to create video DVDs                                       
i   dvdrip                                                     - perl front end for transcode and ffmpeg                             
i A dvdrip-doc                                                 - Documentation for dvd::rip                                         
i   gstreamer0.10-lame                                         - GStreamer lame plugin                                               
i A gtk2-ex-formfactory-perl                                   - Makes building complex GUI's easy                                   
i   handbrake-cli                                              - versatile DVD ripper and video transcoder (command line)           
i   handbrake-gtk                                              - versatile DVD ripper and video transcoder (GTK GUI)                 
i   ia32-crossover-standard                                    - Run Windows applications like MS Office                             
i A ia32-libs-xulrunner                                        - xulrunner ia32 shared libraries                                     
i A libaften0                                                  - audio AC3 encoder - runtime files                                   
id  libavfilter1                                               - Graphics library.                                                   
i A libavutil50                                                - Avutil shared libraries - runtime files.                           
id  libbs2b0                                                   - Bauer stereophonic-to-binaural DSP dev library                     
i   libcodeblocks0                                             - Code::Blocks shared libraries                                       
i   libdvdcss2                                                 - Simple foundation for reading DVDs - runtime libraries             
i A libevent-execflow-perl                                     - High level API for event-based execution flow control               
i   libfaac-dev                                                - an AAC audio encoder - devel files                                 
i   libfaac0                                                   - an AAC audio encoder - library files                               
i A libmjpegtools-1.9                                          - MJPEG video capture/editting/playback MPEG encoding                 
i A libmkv0                                                    - An alternitave to the official libmatroska/libebml libraries       
i A libmpeg3hv-1.5.0-1                                         - Advanced editing and manipulation of MPEG streams (cinelerra's inter
i A libquicktimehv-1.6.0-1                                     - Quicktime 4 Linux Cinelerra internal library                       
i A libva-glx1                                                 - Video Acceleration (VA) API for Linux -- GLX runtime               
i A libva-tpi1                                                 - Video Acceleration (VA) API for Linux -- TPI runtime               
i   libwxsmithlib0                                             - wxSmith shared library                                             
i   libwxsmithlib0-dev                                         - wxSmith development metapackage                                     
i A libx264-112                                                - x264 video coding library                                           
i A libx264-118                                                - x264 video coding library                                           
i A mjpegtools                                                 - MJPEG video capture/editting/playback MPEG encoding                 
i   mozilla-acroread                                           - Adobe Acrobat(R) Reader plugin for mozilla / konqueror             
i   project-x                                                  - DVB demuxing tool                                                   
i   rhythmarty                                                 - A cover art album browser for rhythmbox.                           
i   sdlmame                                                    - An emulator for many arcade games                                   
i   sdlmame-tools                                              - SDL Multiple Arcade Machine Emulator tools                         
i   subsonic                                                   - A web-based music streamer, jukebox and Podcast receiver           
i A subtitleripper                                             - DVD Subtitle Ripper for Linux                                       
i A transcode                                                  - Utility to encode raw video/audio streams                           
i A transcode-doc                                              - Documentation for transcode                                         
i A transcode-utils                                            - Utility to encode raw video/audio streams                           
i   w64codecs                                                  - win64 binary codecs                                                 
i   wxsmith-dev                                                - wxSmith development files (libraries)                               
i   wxsmith-headers                                            - wxSmith development files (headers)                                 
i   xvidcap                                                    - Screen video capture for X


I should mention that I got a little antsy last night and jumped the gun. I went ahead and enabled backports and performed an upgrade. Everything seemed to come out ok. This is what transpired: (upg is my alias for "sudo aptitude upgrade", just to clarify)
Code: Select all
[2318][neil:~]$ upg
Resolving dependencies...               
The following NEW packages will be installed:
  libav-tools{a} libavcodec53{a} libavdevice53{a} libavfilter2{a} libavformat53{a} libavutil51{a} libbluray1{a} libpostproc52{a}
  libswscale2{a} libx264-120{a}
The following packages will be REMOVED:
  liba52-0.7.4-dev{u} libavfilter1{u} libbs2b0{u} libdc1394-22-dev{u} libdirac-decoder0{u} libdirac-dev{u} libggi-target-x{u}
  libggi2{u} libggiwmh0{u} libggiwmh0-target-x{u} libgii1{u} libgii1-target-x{u} libgsm1-dev{u} libopencore-amrnb-dev{u}
  libopencore-amrwb-dev{u} liborc-0.4-dev{u} libraw1394-dev{u} libschroedinger-dev{u} libxvidcore4-dev{u} mplayer-skin-blue{u}
The following packages will be upgraded:
  ffmpeg lame libavcodec-dev libavformat-dev libavutil-dev libdrm-intel1 libdrm-radeon1 libdrm2 libmp3lame-dev libmp3lame0
  libpostproc-dev libsqlite3-0 libsqlite3-dev libswscale-dev libxvidcore4 mencoder mplayer
17 packages upgraded, 10 newly installed, 20 to remove and 0 not upgraded.
Need to get 17.8 MB of archives. After unpacking 15.6 MB will be freed.
Do you want to continue? [Y/n/?] y
Get:1 http://backports.debian.org/debian-backports/ squeeze-backports/main libavutil51 amd64 6:0.8.3-1~bpo60+1 [98.4 kB]
Get:2 http://backports.debian.org/debian-backports/ squeeze-backports/main libmp3lame-dev amd64 3.98.4+repack2-3~bpo60+1 [331 kB]
Get:3 http://backports.debian.org/debian-backports/ squeeze-backports/main libmp3lame0 amd64 3.98.4+repack2-3~bpo60+1 [296 kB]       
Get:4 http://backports.debian.org/debian-backports/ squeeze-backports/main libx264-120 amd64 2:0.120.2151+gita3f4407-3~bpo60+1 [452 kB]
Get:5 http://backports.debian.org/debian-backports/ squeeze-backports/main libavcodec-dev amd64 6:0.8.3-1~bpo60+1 [3,639 kB]         
Get:6 http://backports.debian.org/debian-backports/ squeeze-backports/main libxvidcore4 amd64 2:1.3.2-5~bpo60+1 [346 kB]             
Get:7 http://backports.debian.org/debian-backports/ squeeze-backports/main libavcodec53 amd64 6:0.8.3-1~bpo60+1 [3,147 kB]           
Get:8 http://backports.debian.org/debian-backports/ squeeze-backports/main libavutil-dev amd64 6:0.8.3-1~bpo60+1 [150 kB]             
Get:9 http://backports.debian.org/debian-backports/ squeeze-backports/main libavformat53 amd64 6:0.8.3-1~bpo60+1 [532 kB]             
Get:10 http://backports.debian.org/debian-backports/ squeeze-backports/main libavdevice53 amd64 6:0.8.3-1~bpo60+1 [72.5 kB]           
Get:11 http://backports.debian.org/debian-backports/ squeeze-backports/main libswscale2 amd64 6:0.8.3-1~bpo60+1 [137 kB]             
Get:12 http://backports.debian.org/debian-backports/ squeeze-backports/main libavfilter2 amd64 6:0.8.3-1~bpo60+1 [124 kB]             
Get:13 http://backports.debian.org/debian-backports/ squeeze-backports/main libpostproc52 amd64 6:0.8.3-1~bpo60+1 [125 kB]           
Get:14 http://backports.debian.org/debian-backports/ squeeze-backports/main libav-tools amd64 6:0.8.3-1~bpo60+1 [557 kB]             
Get:15 http://backports.debian.org/debian-backports/ squeeze-backports/main ffmpeg amd64 6:0.8.3-1~bpo60+1 [144 kB]                   
Get:16 http://backports.debian.org/debian-backports/ squeeze-backports/main libbluray1 amd64 1:0.2.2-1~bpo60+2 [98.5 kB]             
Get:17 http://backports.debian.org/debian-backports/ squeeze-backports/main mplayer amd64 2:1.0~rc4.dfsg1+svn34540-1~bpo60+1 [2,816 kB]
Get:18 http://backports.debian.org/debian-backports/ squeeze-backports/main mencoder amd64 2:1.0~rc4.dfsg1+svn34540-1~bpo60+1 [1,304 kB]
Get:19 http://backports.debian.org/debian-backports/ squeeze-backports/main libavformat-dev amd64 6:0.8.3-1~bpo60+1 [716 kB]         
Get:20 http://backports.debian.org/debian-backports/ squeeze-backports/main libsqlite3-dev amd64 3.7.13-1~bpo60+1 [576 kB]           
Get:21 http://backports.debian.org/debian-backports/ squeeze-backports/main libsqlite3-0 amd64 3.7.13-1~bpo60+1 [453 kB]             
Get:22 http://backports.debian.org/debian-backports/ squeeze-backports/main lame amd64 3.98.4+repack2-3~bpo60+1 [172 kB]             
Get:23 http://backports.debian.org/debian-backports/ squeeze-backports/main libdrm2 amd64 2.4.26-1~bpo60+1 [427 kB]                   
Get:24 http://backports.debian.org/debian-backports/ squeeze-backports/main libdrm-intel1 amd64 2.4.26-1~bpo60+1 [429 kB]             
Get:25 http://backports.debian.org/debian-backports/ squeeze-backports/main libdrm-radeon1 amd64 2.4.26-1~bpo60+1 [419 kB]           
Get:26 http://backports.debian.org/debian-backports/ squeeze-backports/main libpostproc-dev amd64 6:0.8.3-1~bpo60+1 [125 kB]         
Get:27 http://backports.debian.org/debian-backports/ squeeze-backports/main libswscale-dev amd64 6:0.8.3-1~bpo60+1 [158 kB]           
Fetched 17.8 MB in 1min 42s (174 kB/s)                                                                                               
Reading changelogs... Done
Selecting previously deselected package libavutil51.
(Reading database ... 350236 files and directories currently installed.)
Unpacking libavutil51 (from .../libavutil51_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Preparing to replace libmp3lame-dev 3.98.4-0.0 (using .../libmp3lame-dev_3.98.4+repack2-3~bpo60+1_amd64.deb) ...
Unpacking replacement libmp3lame-dev ...
Preparing to replace libmp3lame0 3.98.4-0.0 (using .../libmp3lame0_3.98.4+repack2-3~bpo60+1_amd64.deb) ...
Unpacking replacement libmp3lame0 ...
Selecting previously deselected package libx264-120.
Unpacking libx264-120 (from .../libx264-120_2%3a0.120.2151+gita3f4407-3~bpo60+1_amd64.deb) ...
Preparing to replace libavcodec-dev 5:0.7.13-dmo2 (using .../libavcodec-dev_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Unpacking replacement libavcodec-dev ...
(Reading database ... 350248 files and directories currently installed.)
Removing libxvidcore4-dev ...
(Reading database ... 350242 files and directories currently installed.)
Preparing to replace libxvidcore4 2:1.2.2-0.1 (using .../libxvidcore4_2%3a1.3.2-5~bpo60+1_amd64.deb) ...
Unpacking replacement libxvidcore4 ...
Selecting previously deselected package libavcodec53.
Unpacking libavcodec53 (from .../libavcodec53_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Preparing to replace libavutil-dev 5:0.7.13-dmo2 (using .../libavutil-dev_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Unpacking replacement libavutil-dev ...
(Reading database ... 350251 files and directories currently installed.)
Removing liba52-0.7.4-dev ...
Processing triggers for man-db ...
Selecting previously deselected package libavformat53.
(Reading database ... 350232 files and directories currently installed.)
Unpacking libavformat53 (from .../libavformat53_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Selecting previously deselected package libavdevice53.
Unpacking libavdevice53 (from .../libavdevice53_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Selecting previously deselected package libswscale2.
Unpacking libswscale2 (from .../libswscale2_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Selecting previously deselected package libavfilter2.
Unpacking libavfilter2 (from .../libavfilter2_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Selecting previously deselected package libpostproc52.
Unpacking libpostproc52 (from .../libpostproc52_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Selecting previously deselected package libav-tools.
Unpacking libav-tools (from .../libav-tools_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/libav-tools_6%3a0.8.3-1~bpo60+1_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/qt-faststart', which is also in package ffmpeg 5:0.7.13-dmo2
configured to not write apport reports
                                      dpkg-deb: subprocess paste killed by signal (Broken pipe)
Preparing to replace ffmpeg 5:0.7.13-dmo2 (using .../ffmpeg_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Unpacking replacement ffmpeg ...
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/libav-tools_6%3a0.8.3-1~bpo60+1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
dpkg: dependency problems prevent configuration of ffmpeg:
 ffmpeg depends on libav-tools; however:
  Package libav-tools is not installed.
dpkg: error processing ffmpeg (--configure):
 dependency problems - leaving unconfigured
Setting up libx264-120 (2:0.120.2151+gita3f4407-3~bpo60+1) ...
Setting up libxvidcore4 (2:1.3.2-5~bpo60+1) ...
Setting up libavutil51 (6:0.8.3-1~bpo60+1) ...
Setting up libmp3lame0 (3.98.4+repack2-3~bpo60+1) ...
Setting up libpostproc52 (6:0.8.3-1~bpo60+1) ...
Setting up libavutil-dev (6:0.8.3-1~bpo60+1) ...
Setting up libavcodec53 (6:0.8.3-1~bpo60+1) ...
Setting up libavcodec-dev (6:0.8.3-1~bpo60+1) ...
Setting up libmp3lame-dev (3.98.4+repack2-3~bpo60+1) ...
Setting up libswscale2 (6:0.8.3-1~bpo60+1) ...
Setting up libavformat53 (6:0.8.3-1~bpo60+1) ...
Setting up libavdevice53 (6:0.8.3-1~bpo60+1) ...
Setting up libavfilter2 (6:0.8.3-1~bpo60+1) ...
Errors were encountered while processing:
 ffmpeg
                                         
Current status: 1 broken [+1], 11 updates [-6], 1583 new [-1].


Then, after "aptitude update" I upgraded again:
Code: Select all
[2329][neil:~]$ upg
Resolving dependencies...               
The following NEW packages will be installed:
  libav-tools{a} libbluray1{a}
The following packages will be upgraded:
  lame libavformat-dev libdrm-intel1 libdrm-radeon1 libdrm2 libpostproc-dev libsqlite3-0 libsqlite3-dev libswscale-dev mencoder
  mplayer
The following partially installed packages will be configured:
  ffmpeg
11 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/8,250 kB of archives. After unpacking 15.2 MB will be freed.
Do you want to continue? [Y/n/?] y
Reading changelogs... Done               
(Reading database ... 350245 files and directories currently installed.)
Unpacking libav-tools (from .../libav-tools_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Preparing to replace libsqlite3-dev 3.7.10-1~bpo60+1 (using .../libsqlite3-dev_3.7.13-1~bpo60+1_amd64.deb) ...
Unpacking replacement libsqlite3-dev ...
Preparing to replace libsqlite3-0 3.7.10-1~bpo60+1 (using .../libsqlite3-0_3.7.13-1~bpo60+1_amd64.deb) ...
Unpacking replacement libsqlite3-0 ...
Preparing to replace lame 3.98.4-0.0 (using .../lame_3.98.4+repack2-3~bpo60+1_amd64.deb) ...
Unpacking replacement lame ...
Preparing to replace libavformat-dev 5:0.7.13-dmo2 (using .../libavformat-dev_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Unpacking replacement libavformat-dev ...
Selecting previously deselected package libbluray1.
Unpacking libbluray1 (from .../libbluray1_1%3a0.2.2-1~bpo60+2_amd64.deb) ...
Preparing to replace libdrm2 2.4.23-0.0 (using .../libdrm2_2.4.26-1~bpo60+1_amd64.deb) ...
Unpacking replacement libdrm2 ...
Preparing to replace libdrm-intel1 2.4.23-0.0 (using .../libdrm-intel1_2.4.26-1~bpo60+1_amd64.deb) ...
Unpacking replacement libdrm-intel1 ...
Preparing to replace libdrm-radeon1 2.4.23-0.0 (using .../libdrm-radeon1_2.4.26-1~bpo60+1_amd64.deb) ...
Unpacking replacement libdrm-radeon1 ...
Preparing to replace libpostproc-dev 5:0.7.13-dmo2 (using .../libpostproc-dev_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Unpacking replacement libpostproc-dev ...
Preparing to replace libswscale-dev 5:0.7.13-dmo2 (using .../libswscale-dev_6%3a0.8.3-1~bpo60+1_amd64.deb) ...
Unpacking replacement libswscale-dev ...
Preparing to replace mplayer 2:1.0~rc3++svn20100804-0.2squeeze1 (using .../mplayer_2%3a1.0~rc4.dfsg1+svn34540-1~bpo60+1_amd64.deb) ...
Unpacking replacement mplayer ...
Replaced by files in installed package mencoder ...
Preparing to replace mencoder 2:1.0~rc3++svn20100804-0.2squeeze1 (using .../mencoder_2%3a1.0~rc4.dfsg1+svn34540-1~bpo60+1_amd64.deb) ...
Unpacking replacement mencoder ...
Processing triggers for man-db ...
Processing triggers for doc-base ...
Processing 1 removed doc-base file(s)...
Registering documents with scrollkeeper...
Processing triggers for menu ...
Processing triggers for desktop-file-utils ...
Processing triggers for gnome-menus ...
Setting up libav-tools (6:0.8.3-1~bpo60+1) ...
Setting up ffmpeg (6:0.8.3-1~bpo60+1) ...
Setting up libsqlite3-0 (3.7.13-1~bpo60+1) ...
Setting up libsqlite3-dev (3.7.13-1~bpo60+1) ...
Setting up lame (3.98.4+repack2-3~bpo60+1) ...
Setting up libavformat-dev (6:0.8.3-1~bpo60+1) ...
Setting up libbluray1 (1:0.2.2-1~bpo60+2) ...
Setting up libdrm2 (2.4.26-1~bpo60+1) ...
Setting up libdrm-intel1 (2.4.26-1~bpo60+1) ...
Setting up libdrm-radeon1 (2.4.26-1~bpo60+1) ...
Setting up libpostproc-dev (6:0.8.3-1~bpo60+1) ...
Setting up libswscale-dev (6:0.8.3-1~bpo60+1) ...
Setting up mplayer (2:1.0~rc4.dfsg1+svn34540-1~bpo60+1) ...
Installing new version of config file /etc/mplayer/mplayer.conf ...
Installing new version of config file /etc/mplayer/input.conf ...
Setting up mencoder (2:1.0~rc4.dfsg1+svn34540-1~bpo60+1) ...
                                         
Current status: 0 broken [-1], 0 updates [-11].


On the surface everything appears to be fine to me but I still have the same issues with VLC and audacious. The output of deborphan was grabbed this morning, after I upgraded.
strungoutfan78
 
Posts: 50
Joined: 2011-07-01 03:22
Location: San Diego, CA

Re: VLC and Debian Multimedia repo

Postby kedaha » 2012-09-16 19:02

Well, looks OK to me too now you've added the squeeze-backports and upgraded, so, with the help of deborphan or synaptic if you prefer, you can remove any unwanted deb-multimedia packages like libavutil50 or dependencies that conflict with the backports version of VLC and audacious.
"Please accept my resignation. I don’t care to belong to any club that will have me as a member".—Groucho Marx
User avatar
kedaha
 
Posts: 3155
Joined: 2008-05-24 12:26

Re: VLC and Debian Multimedia repo

Postby strungoutfan78 » 2012-09-17 02:59

So just to clarify: All of the packages that the command
Code: Select all
aptitude search ~o
lists are superfluous and can be removed with no issues?
strungoutfan78
 
Posts: 50
Joined: 2011-07-01 03:22
Location: San Diego, CA

Re: VLC and Debian Multimedia repo

Postby emariz » 2012-09-17 03:57

strungoutfan78 wrote:So just to clarify: All of the packages that the command
Code: Select all
aptitude search ~o
lists are superfluous and can be removed with no issues?

aptitude search ?obsolete (~o) lists the packages that can no longer be downloaded. If you removed the Deb Multimedia repository, then all packages installed from there will be listed. Yet, you should keep in mind that there might be some other packages listed that you may want to keep and/or that were not installed from Deb Multimedia; older kernels are the most common example. A safer approach is to use Aptitude's graphical interface, analyse the "Obsoletes" category and mark the packages for purging one by one.
emariz
 
Posts: 2923
Joined: 2008-10-17 07:59

Re: VLC and Debian Multimedia repo

Postby kedaha » 2012-09-17 09:09

I think it would have been better, before enabling squeeze-backports and doing aptitude-upgrade to have dealt with the problem of removing the interfering packages from deb-multimedia first. Now I find it a bit difficult to keep track. However:
What does this simulated command to remove a package (now obsolete because the repository has been disabled) from deb-multimedia show ?
Code: Select all
$ aptitude remove -s libavutil50
"Please accept my resignation. I don’t care to belong to any club that will have me as a member".—Groucho Marx
User avatar
kedaha
 
Posts: 3155
Joined: 2008-05-24 12:26

Re: VLC and Debian Multimedia repo

Postby strungoutfan78 » 2012-09-17 14:11

kedaha wrote:I think it would have been better, before enabling squeeze-backports and doing aptitude-upgrade to have dealt with the problem of removing the interfering packages from deb-multimedia first. Now I find it a bit difficult to keep track. However:
What does this simulated command to remove a package (now obsolete because the repository has been disabled) from deb-multimedia show ?
Code: Select all
$ aptitude remove -s libavutil50


Lots of dependency issues.
Code: Select all
  libavutil50
0 packages upgraded, 0 newly installed, 1 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 184 kB will be freed.
The following packages have unmet dependencies:
  libswscale0: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libquicktime1: Depends: libavutil50 (>= 5:0.6.1+svn20101128) but it is not going to be installed.
  xvidcap: Depends: libavutil50 (>= 5:0.6.1+svn20101128) but it is not going to be installed.
  libavfilter1: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libavdevice52: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libavcodec52: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libpostproc51: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
  libavformat52: Depends: libavutil50 (>= 5:0.7.13) but it is not going to be installed.
The following actions will resolve these dependencies:

      Remove the following packages:                             
1)      audacious                                                 
2)      audacious-plugins                                         
3)      avifile-divx-plugin                                       
4)      cinelerra-cv                                             
5)      cmus-plugin-ffmpeg                                       
6)      dvdrip                                                   
7)      electricsheep                                             
8)      gnome                                                     
9)      gstreamer0.10-ffmpeg                                     
10)     guvcview                                                 
11)     kino                                                     
12)     libasound2-plugins                                       
13)     libavcodec52                                             
14)     libavdevice52                                             
15)     libavfilter1                                             
16)     libavformat52                                             
17)     libavifile-0.7c2                                         
18)     libffmpegthumbnailer4                                     
19)     libmjpegtools-1.9                                         
20)     libpostproc51                                             
21)     libqmmp-misc                                             
22)     libquicktime1                                             
23)     libquicktimehv-1.6.0-1                                   
24)     libswscale0                                               
25)     libxine1-ffmpeg                                           
26)     libxine1-plugins                                         
27)     mediatomb                                                 
28)     mediatomb-common                                         
29)     mediatomb-daemon                                         
30)     miro                                                     
31)     mjpegtools                                               
32)     qmmp                                                     
33)     qutecom                                                   
34)     subtitleripper                                           
35)     transcode                                                 
36)     xine-ui                                                   
37)     xmms2-plugin-all                                         
38)     xmms2-plugin-avcodec                                     
39)     xmms2-plugin-wma                                         
40)     xvidcap                                                   

      Leave the following dependencies unresolved:               
41)     cmus recommends cmus-plugin-ffmpeg                       
42)     moovida-plugins-bad recommends gstreamer0.10-ffmpeg       
43)     qutecom-data recommends qutecom (>= 2.2~rc3.hg396~dfsg1-6)
44)     totem recommends gstreamer0.10-ffmpeg                     
45)     libxine1 recommends libxine1-ffmpeg                       
46)     handbrake-gtk recommends gstreamer0.10-ffmpeg             
47)     avidemux-cli recommends mjpegtools                       
48)     audacity recommends libavcodec52 (>= 5:0.6~svn20100726)   
49)     audacity recommends libavformat52 (>= 5:0.6~svn20100726) 
50)     avidemux recommends mjpegtools                           
51)     transcode recommends mjpegtools                           


Accept this solution? [Y/n/q/?]
strungoutfan78
 
Posts: 50
Joined: 2011-07-01 03:22
Location: San Diego, CA

Re: VLC and Debian Multimedia repo

Postby kedaha » 2012-09-17 14:39

strungoutfan78 wrote:
Lots of dependency issues.

OK, let's see if we can sort out this muddle.
First, run:
Code: Select all
# apt-get clean all && apt-get update

Then run:
Code: Select all
# aptitude safe-upgrade

Now run the following simulated command in user terminial:
Code: Select all
aptitude install ~i~nlibavutil50 -s

And post the results here.
"Please accept my resignation. I don’t care to belong to any club that will have me as a member".—Groucho Marx
User avatar
kedaha
 
Posts: 3155
Joined: 2008-05-24 12:26

Re: VLC and Debian Multimedia repo

Postby strungoutfan78 » 2012-09-17 16:02

Is there a reason you are using apt-get and aptitude interchangeably? I have come to the conclusion, through the advice of others, that it is wiser to use one or the other and to not go back and forth between the two. In my case I strictly use aptitude. I don't mean to sound rude, I'm just curious as to why you are using both. Doesn't "aptitude clean" do the same thing as "apt-get clean all"?

**EDIT**
Well after some quick research I see that apt-get now flags dependencies that were automatically pulled in by another package. This was my biggest concern, so to answer my own question, I suppose it is OK now.
strungoutfan78
 
Posts: 50
Joined: 2011-07-01 03:22
Location: San Diego, CA

Re: VLC and Debian Multimedia repo

Postby strungoutfan78 » 2012-09-17 16:14

kedaha wrote:
strungoutfan78 wrote:
Lots of dependency issues.

OK, let's see if we can sort out this muddle.
First, run:
Code: Select all
# apt-get clean all && apt-get update

Then run:
Code: Select all
# aptitude safe-upgrade

Now run the following simulated command in user terminial:
Code: Select all
aptitude install ~i~nlibavutil50 -s

And post the results here.


Output:
Code: Select all
[0927][root:/home/neil]# aptitude install ~i~nlibavutil50 -s
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
Would download/install/remove packages.
strungoutfan78
 
Posts: 50
Joined: 2011-07-01 03:22
Location: San Diego, CA

Re: VLC and Debian Multimedia repo

Postby kedaha » 2012-09-17 18:22

I've been looking for a solution to the problem of how to cleanly remove libavutil-dev libavutil49 libavutil50 which you installed from deb-multimedia but it seems that - unless someone else can propose a better solution - then the present option is to blow them out along with all the dependencies and reinstall them later, without the deb-multimedia packages. Removing the gnome metapackage does not help either. Looks like a case of "dependency hell," like running a mixed stable/unstable/sid system. I note in the page you referenced /viewtopic.php?f=13&t=70719:
The members of the VideoLAN project as well as the official Debian Multimedia maintainers[1] strongly advise that you do not use the Debian Multimedia repository under any circumstances.

But I was interested to see if it were possible to eliminate just those packages in a less cumbersome way so I reproduced the situation in squeeze in VirtualBox but to no avail. Oh well, can't win'em all!
By the way, you may like a handy graphical interface to deborphan called GtkOrphan.
"Please accept my resignation. I don’t care to belong to any club that will have me as a member".—Groucho Marx
User avatar
kedaha
 
Posts: 3155
Joined: 2008-05-24 12:26

Re: VLC and Debian Multimedia repo

Postby strungoutfan78 » 2012-09-17 19:37

Yeah I read that quote about the multimedia repo too. That's kind of what prompted me to start tinkering with things. I'm a huge proponent of the "if it ain't broke don't fix it" camp. VLC may be broken for me but the rest of my system isn't. Guess I'll just let it be for now. Thanks for all the assistance. At least I'm armed with the proper knowledge on future installs.
strungoutfan78
 
Posts: 50
Joined: 2011-07-01 03:22
Location: San Diego, CA

Next

Return to Desktop & Multimedia

Who is online

Users browsing this forum: No registered users and 13 guests

fashionable